NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.PoleSmoothingBuilder Class Reference

Represents a NXOpen.Features.PoleSmoothing builder More...

Inheritance diagram for NXOpen.Features.PoleSmoothingBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe bool GetCreateNewCopy ()
 Returns the indicator for creating a new copy More...
 
unsafe void GetSelectedPolesIndex (out int[] selectedPolesIndex)
 Returns the index of selected poles More...
 
unsafe void RemoveFeatureParameters (NXOpen.Face face)
 Removes parameters of a owning feature of a face to be smoothed More...
 
unsafe void SetCreateNewCopy (bool createNewCopy)
 Sets the indicator for creating a new copy More...
 
unsafe void SetSelectedPolesIndex (int[] selectedPolesIndex)
 Sets the index of selected poles More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool ApplyConstraintsToAll [get, set]
 Returns or sets the indicator to apply the same constraint to all More...
 
unsafe int ModificationPercentage [get, set]
 Returns or sets the modification percentage More...
 
unsafe NXOpen.Direction MovementVector [get, set]
 Returns or sets the movement direction vector, this is used only when UseSpecificDirection is true. More...
 
unsafe bool MoveOnlySelectedPoles [get, set]
 Returns or sets the indicator to move only selected poles More...
 
unsafe int NumberPolesSelected [get, set]
 Returns or sets the number of poles selected More...
 
unsafe
NXOpen.GeometricUtilities.ControlPoleManagerData 
Poles [get]
 Returns the selected poles, this is used only when MoveOnlySelectedPoles is true More...
 
unsafe int SmoothingFactor [get, set]
 Returns or sets the smoothing factor, the min and max values for this are (1 to 100) More...
 
unsafe NXOpen.SelectFace TargetFace [get]
 Returns the target face More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
UMaxConstraint [get]
 Returns the u maximum continuity constraint More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
UMinConstraint [get]
 Returns the u minimum continuity constraint More...
 
unsafe bool UseSpecificDirection [get, set]
 Returns or sets the specific moving direction More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
VMaxConstraint [get]
 Returns the v maximum continuity constraint More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
VMinConstraint [get]
 Returns the v minimum continuity constraint More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.PoleSmoothing builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreatePoleSmoothingBuilder

Default values.

Property Value

ApplyConstraintsToAll

0

ModificationPercentage

100

MoveOnlySelectedPoles

0

SmoothingFactor

1

UseSpecificDirection

0

Created in NX6.0.0

Member Function Documentation

unsafe bool NXOpen.Features.PoleSmoothingBuilder.GetCreateNewCopy ( )
inline

Returns the indicator for creating a new copy

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Returns
unsafe void NXOpen.Features.PoleSmoothingBuilder.GetSelectedPolesIndex ( out int[]  selectedPolesIndex)
inline

Returns the index of selected poles

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
selectedPolesIndex
unsafe void NXOpen.Features.PoleSmoothingBuilder.RemoveFeatureParameters ( NXOpen.Face  face)
inline

Removes parameters of a owning feature of a face to be smoothed

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
faceFace to be used for feature parameter removal
unsafe void NXOpen.Features.PoleSmoothingBuilder.SetCreateNewCopy ( bool  createNewCopy)
inline

Sets the indicator for creating a new copy

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
createNewCopy
unsafe void NXOpen.Features.PoleSmoothingBuilder.SetSelectedPolesIndex ( int[]  selectedPolesIndex)
inline

Sets the index of selected poles

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
selectedPolesIndex

Property Documentation

unsafe bool NXOpen.Features.PoleSmoothingBuilder.ApplyConstraintsToAll
getset

Returns or sets the indicator to apply the same constraint to all

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.PoleSmoothingBuilder.ModificationPercentage
getset

Returns or sets the modification percentage

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.PoleSmoothingBuilder.MovementVector
getset

Returns or sets the movement direction vector, this is used only when UseSpecificDirection is true.

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.PoleSmoothingBuilder.MoveOnlySelectedPoles
getset

Returns or sets the indicator to move only selected poles

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.PoleSmoothingBuilder.NumberPolesSelected
getset

Returns or sets the number of poles selected

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.ControlPoleManagerData NXOpen.Features.PoleSmoothingBuilder.Poles
get

Returns the selected poles, this is used only when MoveOnlySelectedPoles is true

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.PoleSmoothingBuilder.SmoothingFactor
getset

Returns or sets the smoothing factor, the min and max values for this are (1 to 100)

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectFace NXOpen.Features.PoleSmoothingBuilder.TargetFace
get

Returns the target face

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.PoleSmoothingBuilder.UMaxConstraint
get

Returns the u maximum continuity constraint

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.PoleSmoothingBuilder.UMinConstraint
get

Returns the u minimum continuity constraint

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.PoleSmoothingBuilder.UseSpecificDirection
getset

Returns or sets the specific moving direction

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.PoleSmoothingBuilder.VMaxConstraint
get

Returns the v maximum continuity constraint

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.PoleSmoothingBuilder.VMinConstraint
get

Returns the v minimum continuity constraint

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.